# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'docker/runner/version'

Gem::Specification.new do |spec|
  spec.name          = "docker-runner"
  spec.version       = Docker::Runner::VERSION
  spec.authors       = ["王长明"]
  spec.email         = ["wangchangming@caishuo.com"]

  spec.summary       = %q{A Docker Runner Cli.}
  spec.description   = %q{A Docker Runner Cli.}
  spec.homepage      = "https://gitlab.caishuo.com/docker/docker-runner"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = ['docker-runner']
  spec.require_paths = ["lib"]

  spec.post_install_message = "\033[41;37m [Important] run \`docker-runner setup\`, before using \033[0m "
  # spec.post_install_message = `docker-runner`

  spec.add_dependency 'gitlab'

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
end
